<?php
include_once("../header_reportes.php");
$usuario = $_COOKIE["usuario"];
$nivel = $_COOKIE["nivel"];
if($nivel=="administrador"){$cobrador=$_GET["usuario"];
    
}else{
    $cobrador=$usuario;
}
?>
<style>
    th,td{
        text-align: left;
    }
    *{
        font-family: Arial;
        font-size: 12px;
        font-wight:light;

    }
table,td,th{
    border:gray 1px solid;
    border-collapse: collapse;
    font-size: 12px;
}

th{
    background: green;
    color:white;
}
</style>
<?php
include_once("../php/config.php");
    $sql_empresa = mysql_query("SELECT * FROM empresa") or die(mysql_error());
$enombre= @mysql_result($sql_empresa,0,"nombre");
$etelefono= @mysql_result($sql_empresa,0,"telefono");   
$edireccion= @mysql_result($sql_empresa,0,"direccion"); 
$ernc= @mysql_result($sql_empresa,0,"rnc"); 
$eemail= @mysql_result($sql_empresa,0,"email"); 
    
?>
<span class="datos_empres2" style="font-size: 30px;font-weight: bolder;font-family: 'Arial black'"><?php echo $enombre;?></span><b><br>
<span class="datos_empres"><?php echo $etelefono;?> </span><br>
<span class="datos_empres"><?php echo $edireccion;?> </span><br>
<span class="datos_empres"><?php echo $ernc;?></span><br>
<h3 style="font-size: 25px; text-decoration: underline;">Reporte de compras</h3>
<?php

include_once("../php/formatos.php");
$proveedor = $_GET["proveedor"];
$usuario = $_GET["usuario"];
$ncf = $_GET["ncf"];
$termino = $_GET["termino"];
$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
$estado = $_GET["estado"];
if($estado=="Terminada"){$estado="Cerrada";}
echo "<b>Fecha:</b> desde <font color='blue'>".$fecha1."</font> hasta <font color='blue'>".$fecha2."<br>";
echo "<b>Proveedor:</b> <font color='blue'>".$cliente."</font>, ";


$sql = mysql_query("select * from compras where 
                    proveedor like '%".$proveedor."%'
                    and usuario like '%".$usuario."%'
                    and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());

echo "<table><th>Compra #</th><th>Fecha</th><th>Proveedor</th><th>Monto moneda local</th><th>Valor GOURDE</th><th>Tasa GOURDE</th><th>Producto</th><th>Balance</th><th>Realizada por</th><th>Anular</th>";
while($r = mysql_fetch_array($sql)){
    $total+=$r["total"];
    $totalVenta+=$r["total"];
  
    $costo+=$r["costo"];
    $impuestos+=$r["impuesto"];
	$id = $r["id"];
	$c++;
    echo "<tr>";
    echo "<td>".$r["id"]."</td>";

    echo "<td>".fecha($r["fecha"])." | ".$r["hora"]."</td>";
    //echo "<td>".$r["cuota"]."</td>";
    echo "<td>".$r["proveedor"]."</td>";
	
    echo "<td>".decimal($r["costo"])."</td>";
   echo "<td>".decimal($r["total"])."</td>";
     echo "<td>".decimal($r["balance"])."</td>";
	echo "<td>".decimal($r["tasa_moneda_origen"])."</td>";
	echo "<td>".$r["producto"]."</td>";
    echo "<td>".$r["usuario"]."</td>";
	echo "<td><a href='../compra/anular_compra.php?id=$id'> Anular </a></td>";
    
    echo "</tr>";
}
 echo "</table>";
 echo "</br>";

$sqlCredito = mysql_query("select sum(total) as total from ventas where fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sqlEfectivo = mysql_query("select sum(total) as total from ventas where termino='Efectivo' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sqlCheque = mysql_query("select sum(total) as total from ventas where termino='Cheque' and fecha between '$fecha1' and '$fecha2'") or die(mysql_error());
$sql_balance = mysql_query("select sum(balance) as balance from compras where  proveedor like '%".$proveedor."%'") or die(mysql_error());
echo "<br><b>Registros: </b><font color='blue'>".($c)."</font><br>";
echo "<br>";



echo "<div id='detalle'>";

echo "<table>";
echo "<td bgcolor='yellow'></td><tr>";
echo "<td>TOTAL VENTAS EN EFECTIVO</td>";
echo "<td>".@decimal(mysql_result($sqlEfectivo,0,"total"))."</td><tr>";
echo "<td>TOTAL VENTAS A CREDITO</td>";
echo "<td>".@decimal(mysql_result($sqlCredito,0,"total"))."</td><tr>";


echo "</table>";
echo "</div>";



 ///echo "<b>Pagado:</b><font color='red'>".decimal($mora)."</font><br>";
 echo "<br><b>BALANCE EN COMPRAS A CREDITO:</b><font color='green'>".@decimal(mysql_result($sql_balance,0,"balance"))."</font><br>";

 function comprobante($nombre){
    $n = mysql_query("select cedula from clientes where nombre = '".$nombre."'") or die(mysql_error());
    $rnc = @mysql_result($n, 0, "cedula");
    return $rnc;
}
?>
<script>

var rpt = localStorage.getItem("reporte-venta");
if(rpt=="corto"){
	$("#detalle").hide();
	
}
</script>